Subject: Re: GSS-API and UTF-8 (was Re: Kerb WG iakerb)

From: Jeffrey Altman <[email-masked]>
Date: Wed, 20 Feb 2002 22:26:14 EST

> If we open the door to encoding-specific OIDs, what're the chances
> someone will propose a way of importing or exporting UCS-2 or UCS-4
> names without UTF-8 conversions?  How many character sets would an
> application need to know how to display?

UTF-8 vs UCS-2 vs UCS-4 vs UTF-16 vs UTF-32 is not a big deal if it is
at the application layer.  The bigger issue is ensuring that the
normalization rules are consistent.  The rules we are using for
Kerberos may or may not be appropriate for all mech-types.

 Jeffrey Altman * Sr.Software Designer      C-Kermit 8.0 available now!!!
 The Kermit Project @ Columbia University   includes Telnet, FTP and HTTP
 http://www.kermit-project.org/             secured with Kerberos, SRP, and 
 [email-masked]                OpenSSL. Interfaces with OpenSSH